# HCOSLIM - Compute miting statistics file for cosmic ray removal
# May 11, 2007
# By Doug Mink, SAO Telescope Data Center

procedure hcoslim (medfile, limfile)

file	medfile=""	{prompt="Input median file"}
file	limfile=""	{prompt="Output statistics file"}

bool	verbose=yes	{prompt="Print process progress (y or n)"}

begin

	string	newtitle
	bool	vb

	vb = verbose

	if (vb) {
	    print ("HCOSLIM: Statistics file ",limfile," from median image ",medfile)
	    print ("HCOSLIM: Square root of median file ",medfile)
	    }

	imfunct (medfile, limfile, func="sqrt", ver-)
	if (vb) {
	    print ("HCOSLIM: Limit file ",limfile, " multiplied by 1.4")
	    }
	imarith (limfile, "*", 1.4, limfile)
	if (vb) {
	    print ("HCOSLIM: Limit file ",limfile, " numbers > 5 set to 5")
	    }
	imrepl (limfile, value=5, upper=5)
	imgetp (limfile, "i_title")
	newtitle = imgetp.value // " limits"
	hedit (limfile, "i_title", newtitle)
	return
end

# May 11 2007	New task based on Nelson Caldwell's Perl script
