# HPREAMP - Run SPP version of Brian McCleod's preamplifier fix on raw images
# February 22, 2008
# By Doug Mink, SAO Telescope Data Center

procedure hpreamp (images)

string	images=""	{prompt="Images to process"}

bool	deltemp=yes	{prompt="Delete intermediate image files (y or n)"}
bool	saveold=yes	{prompt="Save unprocessed image files (y or n)"}
bool	verbose=yes	{prompt="Print process progress (yes or no)"}
bool	debug=no	{prompt="Print more process progress (yes or no)"}

struct	*prelist

begin

file	imroot, imin, templist, imout
string	imx, ims, imsec, history
string	pfsect0, pfsect1, pfsect2, pfsect3, pfsect4
bool	vb, dt, db, sv

	vb = verbose
	dt = deltemp
	db = debug
	sv = saveold
	imx = ".fits"
	ims = image

	if (ims == "") {
	    print ("HPREAMP: Correct preamp problem for all four amps one amp at a time")
	    print ("Usage: hpreamp <input images with 4 extensions>")
	    return
	    }

# Make directory in which to save raw multi-extension files
	if (sv) {
	    if (!access ("Unpreamp"))
		mkdir ("Unpreamp")
	    }

#  Make temporary list of input files
	templist = mktemp ("tempamp") // ".list"
	files (ims, >templist)
	prelist = templist
        while (fscan (prelist, imin) != EOF) {
	    hpreamp1 (imin,saveold=no,deltemp=dt,verbose=vb)
	    }

	if (deltemp)
	    delete (templist)
	prelist = ""
end

# Oct 23 2007	New program to run SPP preamp1 instead of C program preampfix

# Feb  8 2008	Save unprocessed images in Unpreamp/, not Raw/
# Feb 20 2008	Rename temporary list file tempamp*.list
# Feb 20 2008	Read from prelist instead of list
# Feb 20 2008	Always delete individual extension files when rejoining
# Feb 22 2008	Move processing per image to HPREAMP1
