# MKXCTEMPW - Make a list of wavelength segments of a spectrum file for
#	      cross-correlation with XCSAO

procedure mkxctempw (template, sectfile)

file	template=""	{prompt="Template spectrum file"}
file	sectfile=""	{prompt="File of wavelength ranges"}

file	templist=""	{prompt="File to which to write list of segments"}
bool	pixout=no	{prompt="Pixels (yes) or wavelength (no) out"}

begin
	string tempseg
	file listfile, tempfile
	real wl1, wl2
	int pix1, pix2, iwl1, iwl2, ap

	tempfile = template
	listfile = templist
	list = sectfile
	while (fscan (list, wl1, wl2) != EOF) {
	    if (pixout) {
		wav2pix (tempfile, wl1)
		pix1 = int (wav2pix.pixel + 0.5)
		wav2pix (tempfile, wl2)
		pix2 = int (wav2pix.pixel + 0.5)
		tempseg = tempfile // ":" // pix1 // "-" // pix2
		}
	    else {
		iwl1 = int (wl1)
		iwl2 = int (wl2)
		tempseg = tempfile // ":" // iwl1 // "-" // iwl2
		}
	    if (listfile == "") {
		print (tempseg)
		}
	    else {
		print (tempseg,  >> listfile)
		}
	    }
end
